<!--sidebar end-->
<!--main content start-->
<section id="main-content"> 
    <section class="wrapper site-min-height">
        <!--state overview start-->
        <div class="col-md-12">
            <div class="row state-overview" style="padding: 2px 0px;">
                <div class="col-md-8">
                    <!--custom chart start-->

                    <?php
                    $currently_processing_month = date('m', $first_minute);
                    $currently_processing_year = date('Y', $first_minute);
                    if ($currently_processing_month < 12) {
                        $next_month = $currently_processing_month + 1;
                        $next_year = $currently_processing_year;
                    } else {
                        $next_month = 1;
                        $next_year = $currently_processing_year + 1;
                    }

                    if ($currently_processing_month > 1) {
                        $previous_month = $currently_processing_month - 1;
                        $previous_year = $currently_processing_year;
                    } else {
                        $previous_month = 12;
                        $previous_year = $currently_processing_year - 1;
                    }
                    ?>

                    <div class="panel-heading"> <?php echo date('F, Y', $first_minute) . ' ' .lang('hospital').' ' .lang('deposit').' ' .lang('report'); ?> 

                        <div class="col-md-1 pull-right no-print">
                            <a class="no-print pull-right" onclick="javascript:window.print();"> <i class="fa fa-print"></i>  </a>
                        </div>
                        <div class="col-md-1 pull-right no-print">
                            <a href="finance/dailyDeposit?year=<?php echo $next_year; ?>&month=<?php echo $next_month; ?>">
                                <i class="fa fa-arrow-right"></i>
                            </a>
                        </div>
                        <div class="col-md-1 pull-right no-print">
                            <a href="finance/dailyDeposit?year=<?php echo $previous_year; ?>&month=<?php echo $previous_month; ?>">
                                <i class="fa fa-arrow-left"></i>
                            </a>
                        </div>

                    </div>


                    <div  id="chart_div"></div>




                    <div class="panel-body">
                        <div class="adv-table editable-table ">

                            <div class="space15"></div>
                            <table class="table table-striped table-hover table-bordered" id="editable-sample1">
                                <thead>
                                    <tr>
                                        <th><?php echo lang('date'); ?> </th>
                                        <th><?php echo lang('deposit'); ?> <?php echo lang('amount'); ?> (<?php echo $this->currency; ?>) </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $number_of_days = date('t', $first_minute);
                                    for ($d = 1; $d <= $number_of_days; $d++) {
                                        $time = mktime(12, 0, 0, $month, $d, $year);
                                        if (!empty($all_payments[date('D d-m-y', $time)])) {
                                            if (date('m', $time) == $month) {
                                                $day = date('d-m-Y, l', $time);
                                                $amount = $all_payments[date('D d-m-y', $time)];
                                            }
                                        } else {
                                            if (date('m', $time) == $month) {
                                                $day = date('d-m-Y, l', $time);
                                                $amount = 0;
                                            }
                                        }
                                        ?>
                                        <tr>
                                            <td><?php echo $day; ?></td>
                                            <td><?php echo number_format($amount, 0, '.', ','); ?></td>
                                            <?php $total_amount[] = $amount; ?>
                                        </tr>

                                        <?php
                                    }
                                    ?>

                                    <?php
                                    if (!empty($total_amount)) {
                                        $total_amount = array_sum($total_amount);
                                    } else {
                                        $total_amount = 0;
                                    }
                                    ?>

                                    <tr style="color: #000 !important; font-weight: bold;">
                                        <td><?php echo lang('total'); ?></td> 
                                        <td><?php echo $this->currency; ?> <?php echo number_format($total_amount, 0, '.', ','); ?></td>
                                    </tr>                  

                                </tbody>
                            </table>
                        </div>
                    </div>









                </div>
            </div>
        </div>
        <!--state overview end-->
    </section>
</section>
<!--main content end-->
<!--footer start-->
<!--footer end-->
<script>
    $(document).ready(function () {
        var table = $('#editable-sample1').DataTable({
            responsive: true,

            dom: "<'row'<'col-sm-3'l><'col-sm-5 text-center'B><'col-sm-4'f>>" +
                    "<'row'<'col-sm-12'tr>>" +
                    "<'row'<'col-sm-5'i><'col-sm-7'p>>",
            buttons: [
                'excelHtml5',
                'pdfHtml5',
                {
                    extend: 'print',
                    exportOptions: {
                        columns: [0, 1],
                    }
                },
            ],

            aLengthMenu: [
                [10, 20, 30, 50, 100, -1],
                [10, 20, 30, 50, 100, "All"]
            ],
            iDisplayLength: 50,
            "language": {
                "lengthMenu": "_MENU_",
                search: "_INPUT_",
                searchPlaceholder: "Search...",
                "url": "common/assets/DataTables/languages/<?php echo $this->language; ?>.json"
            }
        });
        table.buttons().container().appendTo('.custom_buttons');
    });
</script>



</body>
</html>
